if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi

( cd usr/lib64 ; rm -rf libcrypto-vala.so )
( cd usr/lib64 ; ln -sf libcrypto-vala.so.0 libcrypto-vala.so )
( cd usr/lib64 ; rm -rf libcrypto-vala.so.0 )
( cd usr/lib64 ; ln -sf libcrypto-vala.so.0.0 libcrypto-vala.so.0 )
( cd usr/lib64 ; rm -rf libdino.so )
( cd usr/lib64 ; ln -sf libdino.so.0 libdino.so )
( cd usr/lib64 ; rm -rf libdino.so.0 )
( cd usr/lib64 ; ln -sf libdino.so.0.0 libdino.so.0 )
( cd usr/lib64 ; rm -rf libqlite.so )
( cd usr/lib64 ; ln -sf libqlite.so.0 libqlite.so )
( cd usr/lib64 ; rm -rf libqlite.so.0 )
( cd usr/lib64 ; ln -sf libqlite.so.0.1 libqlite.so.0 )
( cd usr/lib64 ; rm -rf libxmpp-vala.so )
( cd usr/lib64 ; ln -sf libxmpp-vala.so.0 libxmpp-vala.so )
( cd usr/lib64 ; rm -rf libxmpp-vala.so.0 )
( cd usr/lib64 ; ln -sf libxmpp-vala.so.0.1 libxmpp-vala.so.0 )
